fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices (Radeon HD 2000 3000 4000)

Bug #1276379 reported by mavosaure on 2014-02-05
226
This bug affects 42 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Baltix)
Medium
Mantas Kriaučiūnas
fglrx-installer (Ubuntu)
High
Unassigned

Bug Description

[Updated description]

Update of the fglrx-driver (version 2:13.101-0ubuntu0.0.1 on 2014-02-03) brought by update-manager (through ubuntu-updates repos) on Precise doesn't work on some "legacy" devices.
The main symptom is the fallback to unity-2D.

This bug seems target only Precise with no LTS Enablement Stack activated, in other words with Linux 3.2.x and XServer 7.6.
==> please : confirm or infirm using:
uname -rm
apt-cache policy xserver-xorg

It may be in relation with #1058040, about non-support for Radeon [Mobility] HD 2xxx, 3xxx, 4xxx on Ubuntu 12.10 and higher.
______

1)Description: Ubuntu 12.04.4 LTS
Release: 12.04
Architecture: amd64

2) apt-cache policy fglrx fglrx-amdcccle
fglrx:
  Installé : 2:13.101-0ubuntu0.0.1
  Candidat : 2:13.101-0ubuntu0.0.1
 Table de version :
 *** 2:13.101-0ubuntu0.0.1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise-updates/restricted amd64 Packages
        100 /var/lib/dpkg/status
     2:8.960-0ubuntu1 0
        500 http://fr.archive.ubuntu.com/ubuntu/ precise/restricted amd64 Packages
fglrx-amdcccle:
  Installé : 2:13.101-0ubuntu0.0.1
  Candidat : 2:13.101-0ubuntu0.0.1

3) I expected that the driver :
 - set up
 - work

4) It did'nt work :
 - Ubuntu was very slow
 - Unity fall in Unity-2d mode
 - when I taped CTRL+SUPER, desktops appears blue
 - fglrx-amdcccle failed
 - fans were turning at a high speed
 - lots of warning messages as described bellow

5) Workaround
I had to downgrade manually the driver to the old 8.960, which works without problem.
You could do it using Synaptics our using the CLI

I tried to do an "apt-get remove fglrx fglrx-amdcccle" but apt-get gaves me fglrx-updates in replacement , with the same issues. I experimented fglrx-update some months (a year?) ago with similar problems, but at that time it was a conscient experimentation.
The 13.101-0ubuntu0.0.1 could maybe stay in fglrx-updates, and no fglrx ?

____________________________________________________________________________

~$ sudo aticonfig
aticonfig: No supported adapters detected

~$ lspci -nn | grep VGA02:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV710/M92 [Mobility Radeon HD 4530/4570/545v] [1002:9553]

 ~$ grep /drivers/ /var/log/Xorg.0.log
[ 26.888] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so
[ 27.015] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so
[ 27.016] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
[ 27.017] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
[ 27.018] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 27.019] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 27.122] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so

~$ dmesg | grep fglrx
[ 28.612217] [fglrx] Maximum main memory to use for locked dma buffers: 3657 MBytes.
[ 28.613015] [fglrx:firegl_init_device_list] *ERROR* No supported display adapters were found
[ 28.613021] [fglrx:firegl_init_module] *ERROR* firegl_init_devices failed
[ 28.775649] [fglrx] Maximum main memory to use for locked dma buffers: 3657 MBytes.
[ 28.776032] [fglrx:firegl_init_device_list] *ERROR* No supported display adapters were found
[ 28.776036] [fglrx:firegl_init_module] *ERROR* firegl_init_devices failed

~$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

~$ glxinfo
name of display: :0.0
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: fglrx 2:8.960-0ubuntu1.1
ProcVersionSignature: Ubuntu 3.2.0-58.88-generic 3.2.53
Uname: Linux 3.2.0-58-generic x86_64
NonfreeKernelModules: wl fglrx
.tmp.unity.support.test.0:

ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
Date: Wed Feb 5 00:59:13 2014
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.20.155.1+bdcom, 3.2.0-55-generic, x86_64: installed
 bcmwl, 6.20.155.1+bdcom, 3.2.0-56-generic, x86_64: installed
 bcmwl, 6.20.155.1+bdcom, 3.2.0-57-generic, x86_64: installed
 bcmwl, 6.20.155.1+bdcom, 3.2.0-58-generic, x86_64: installed
 fglrx, 8.960, 3.2.0-58-generic, x86_64: installed
EcryptfsInUse: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV710/M92 [Mobility Radeon HD 4530/4570/545v] [1002:9553] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0413]
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
JockeyStatus:
 kmod:wl - Pilote réseau sans-fil Broadcom STA (Propriétaire, Activé, Utilisé) [auto-install]
 xorg:fglrx - Pilote propriétaire ATI/AMD pour carte graphique FGLRX (Propriétaire, Activé, Utilisé)
MachineType: Dell Inc. Studio 1558
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-58-generic root=UUID=529de85a-3b22-4800-b377-b6442d6a9088 ro quiet splash vt.handoff=7
SourcePackage: fglrx-installer
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/12/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A11
dmi.board.name: 0NJWJR
dmi.board.vendor: Dell Inc.
dmi.board.version: A11
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A11
dmi.modalias: dmi:bvnDellInc.:bvrA11:bd10/12/2010:svnDellInc.:pnStudio1558:pvrA11:rvnDellInc.:rn0NJWJR:rvrA11:cvnDellInc.:ct8:cvrA11:
dmi.product.name: Studio 1558
dmi.product.version: A11
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.12-0ubuntu3
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.46-1ubuntu0.0.0.1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.4-0ubuntu0.7
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.4-0ubuntu0.7
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu10.14
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1.2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4.4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build3

mavosaure (mavosaure) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed

Hi,

I have the samme issue with 'ATI Radeon HD 3470'.

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 3470
OpenGL version string: 3.3.11627 Compatibility Profile Context

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise

Colin Law (colin-law) wrote :

I am seeing similar problems (though less severe) with fglrx 13.101-0ubuntu0.0.1 on ubuntu 12.04 with HD3300:
VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS780D [Radeon HD 3300]

$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

It was ok with fglrx 8.960

thipaire (thierry-auguste) wrote :

Hello!

Idem

$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise

$ lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV610/M72-S [Mobility Radeon HD 2400]
$ grep /drivers/ /var/log/Xorg.0.log
[ 21.768] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/drivers/fglrx_drv.so
[ 21.798] (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
[ 21.799] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
[ 21.800] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[ 21.800] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[ 22.298] (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so

mm174 (mm-174) wrote :

I've got the same problem with a samsung R720
                                                             ATI mobility radeon HD 4650
                                                             Xubuntu 12.04 LTS

mavosaure (mavosaure) on 2014-02-07
description: updated
summary: - fglrx-installer 2:13.101-0ubuntu0.0.1 not suitable on AMD RV710/M92
- Mobility Radeon HD 4570
+ fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices
+ (2400, 3300, 3470, 4570, 4650)
mavosaure (mavosaure) on 2014-02-07
summary: fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices
- (2400, 3300, 3470, 4570, 4650)
+ (Radeon HD 2400, 3300, 3470, 4570, 4650)

Same here using a Radeon 3200

$ lspci |grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS780M [Mobility Radeon HD 3200]

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise

$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 1

$ uname -a
Linux migs-U230 3.2.0-58-generic #88-Ubuntu SMP Tue Dec 3 17:37:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Sam75 (samy75) wrote :

I have the same issue with 'ATI Radeon HD 4250'.

$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

$ lspci | grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS880 [Radeon HD 4250]

$ lsb_release -a
LSB Version: core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise

$ uname -a
Linux Antec 3.2.0-58-generic #88-Ubuntu SMP Tue Dec 3 17:40:43 UTC 2013 i686 athlon i386 GNU/Linux

Shreyas (shreyasmodi9999) wrote :

Solve this bug as early as possible because my laptop is on fire
I have found one link of repositories
http://cz.archive.ubuntu.com/ubuntu/pool/restricted/f/fglrx-installer-updates/
from here you can download old versions of fglrx
but i don't know how to install so someone provide instructions for this

Shreyas (shreyasmodi9999) wrote :

Solve this bug as early as possible because my laptop is on fire
I have found one link of repositories
http://cz.archive.ubuntu.com/ubuntu/pool/restricted/f/fglrx-installer-updates/
from here you can download old versions of fglrx
but i don't know how to install so someone provide instructions for this

Colin Law (colin-law) wrote :

For anyone that is interested I have worked around this for the moment, on Ubuntu 13.10 by
sudo apt-get install fglrx=2:8.960-0ubuntu1
sudo apt-mark hold fglrx

Colin Law (colin-law) wrote :

Sorry that should have been Ubuntu 12.04 not 13.10.

soiled skivvies (cr4kkr) wrote :

Your downgrade to 2:8.960 worked flawlessly until this is fixed. Terminal lines now respond as they always have. Same errors with update as everyone else so no need to C&P mine.
ATI 4870 card. Kernel 3.2.0-58. Ubuntu 12.04.4. amdcccle works. Fans slowed down.

Fallout (falloutdc) wrote :

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RV770 [Radeon HD 4870] [1002:9440]
Any workarounds or fixes yet?

Colin Law (colin-law) wrote :

On trusty this bug causes complete failure. The system shows the Running in Low Graphics popup but then appears to hang.

tags: added: trusty
Colin Law (colin-law) wrote :

Another workaround for those that do not need high speed graphics is to uninstall fglrx
sudo apt-get remove fglrx

Sander (svl-launchpad) on 2014-02-10
summary: fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices
- (Radeon HD 2400, 3300, 3470, 4570, 4650)
+ (Radeon HD 2400, 3300, 3470, 4570, 4650, 4670)
Billy McCarty (brmccarty) wrote :

You can add the 3100 to the list.

girisha (girishad) wrote :

Please add in [AMD/ATI] RV710 [Radeon HD 4550] also to the list

mavosaure (mavosaure) wrote :

#17 @Colin Law (about Trusty)

Thanks for the report, but it's a different problem for Trusty.

You can't use fglrx-installer on Radon HD [Mobility] 2000-3000-4000 series with Ubuntu ≥ 12.10 out of the box.

See the bug #1058040 : there are workarounds which are explained there (downgrade Xorg server using a PPA) but I think there's not the the good place to deal with it.

mavosaure (mavosaure) on 2014-02-11
description: updated
mavosaure (mavosaure) on 2014-02-11
summary: fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices
- (Radeon HD 2400, 3300, 3470, 4570, 4650, 4670)
+ (Radeon HD 2000 3000 4000)
mavosaure (mavosaure) on 2014-02-12
description: updated
Billy McCarty (brmccarty) wrote :

Have managed to work around this.
Open Synaptic Package Manager
Remove fglrx 2:13.101-0ubuntu0.0.1
Remove fglrx-amdcccle 2:13.101-0ubuntu0.0.1
Open Update Manager and add fglrx and fglrx-amdcccle to the ignore list
Open terminal
enter
sudo apt-get install fglrx=2:8.960-0ubuntu1
sudo apt-get install fglrx-amdcccle=2:8.960-0ubuntu1
close all windows and restart computer

NOTE!
This worked for me on my Toshiba Satellite with ATI 3100 running Linux Mint 13 Xfce. I make no promise as to working or even being safe for any other computer. All my 3D apps as well as AMD Catalyst Control Center are again working.

Colin Law (colin-law) wrote :

As requested I can confirm that I am seeing it with kernel 3.2.0 and xserver 7.6

Affects an essential hardware component (disk controller, built-in networking, video card, keyboard, mouse).

Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Jim Byrnes (jf-byrnes) wrote :

This bug also effects me. The workaround described in comment #13 worked for me.

Ubuntu 12.04.4
Mobility Radeon HD 4225/4250

Am 17.02.2014 22:03, schrieb Jim Byrnes:
> This bug also effects me. The workaround described in comment #13
> worked for me.
>
> Ubuntu 12.04.4
> Mobility Radeon HD 4225/4250
>
I can confirm this. 12.04 Radeon HD 4870

mavosaure (mavosaure) wrote :

@ Jim Byrnes & Fallout:
Please, could you check which kernel and xserver version you are using?

Thanks!

Le 20/02/2014 22:31, Fallout a écrit :
> Am 17.02.2014 22:03, schrieb Jim Byrnes:
>> This bug also effects me. The workaround described in comment #13
>> worked for me.
>>
>> Ubuntu 12.04.4
>> Mobility Radeon HD 4225/4250
>>
> I can confirm this. 12.04 Radeon HD 4870
>

Fallout (falloutdc) wrote :

Am 20.02.2014 23:01, schrieb mavosaure:
> @ Jim Byrnes & Fallout:
> Please, could you check which kernel and xserver version you are using?
>
> Thanks!
>
>
> Le 20/02/2014 22:31, Fallout a écrit :
>> Am 17.02.2014 22:03, schrieb Jim Byrnes:
>>> This bug also effects me. The workaround described in comment #13
>>> worked for me.
>>>
>>> Ubuntu 12.04.4
>>> Mobility Radeon HD 4225/4250
>>>
>> I can confirm this. 12.04 Radeon HD 4870
>>
3.2.0-58-generic-pae

X.Org X Server 1.11.3
Release Date: 2011-12-16
X Protocol Version 11, Revision 0

Regards
Emanuel Manologlou

Martin Schonaker (mschonaker) wrote :

Hi, I've managed to downgrade fglrx, fglrx-dev and fglrx-amdcccle
from Synaptic to version 8.960-ubuntu1, but still I'm experiencing
frequent overheating and reboots.

Ubuntu version: Ubuntu 12.04.4 LTS
Kernel version: 3.2.0-59-generic
Xorg version: 1.11.3
Device: ATI Radeon HD 4670 512 MB

Regards.

kris van der Merwe (krisvdm) wrote :

Same problem since updating to Ubuntu 12.04.4

Overheating ....

No 3D acceleration
fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)

HP pavillion

lspci |grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS880M [Mobility Radeon HD 4225/4250]
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Park [Mobility Radeon HD 5430/5450/5470]

Shreyas (shreyasmodi9999) wrote :
Download full text (8.5 KiB)

hello,
you can use synaptic manager and install previous older version which solve
problem for temporary

Regards,
Shreyas Modi

On Sat, Mar 1, 2014 at 12:37 PM, kris van der Merwe <email address hidden>wrote:

> Same problem since updating to Ubuntu 12.04.4
>
> Overheating ....
>
> No 3D acceleration
> fglrxinfo
> X Error of failed request: BadRequest (invalid request code or no such
> operation)
>
> HP pavillion
>
> lspci |grep VGA
> 01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
> RS880M [Mobility Radeon HD 4225/4250]
> 02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI]
> Park [Mobility Radeon HD 5430/5450/5470]
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1276379
>
> Title:
> fglrx-installer 2:13.101-0ubuntu0.0.1 fails with some "legacy" devices
> (Radeon HD 2000 3000 4000)
>
> Status in "fglrx-installer" package in Ubuntu:
> Confirmed
>
> Bug description:
> [Updated description]
>
> Update of the fglrx-driver (version 2:13.101-0ubuntu0.0.1 on 2014-02-03)
> brought by update-manager (through ubuntu-updates repos) on Precise doesn't
> work on some "legacy" devices.
> The main symptom is the fallback to unity-2D.
>
> This bug seems target only Precise with no LTS Enablement Stack
> activated, in other words with Linux 3.2.x and XServer 7.6.
> ==> please : confirm or infirm using:
> uname -rm
> apt-cache policy xserver-xorg
>
> It may be in relation with #1058040, about non-support for Radeon
> [Mobility] HD 2xxx, 3xxx, 4xxx on Ubuntu 12.10 and higher.
> ______
>
> 1)Description: Ubuntu 12.04.4 LTS
> Release: 12.04
> Architecture: amd64
>
> 2) apt-cache policy fglrx fglrx-amdcccle
> fglrx:
> Installé : 2:13.101-0ubuntu0.0.1
> Candidat : 2:13.101-0ubuntu0.0.1
> Table de version :
> *** 2:13.101-0ubuntu0.0.1 0
> 500 http://fr.archive.ubuntu.com/ubuntu/precise-updates/restricted amd64 Packages
> 100 /var/lib/dpkg/status
> 2:8.960-0ubuntu1 0
> 500 http://fr.archive.ubuntu.com/ubuntu/ precise/restricted
> amd64 Packages
> fglrx-amdcccle:
> Installé : 2:13.101-0ubuntu0.0.1
> Candidat : 2:13.101-0ubuntu0.0.1
>
> 3) I expected that the driver :
> - set up
> - work
>
> 4) It did'nt work :
> - Ubuntu was very slow
> - Unity fall in Unity-2d mode
> - when I taped CTRL+SUPER, desktops appears blue
> - fglrx-amdcccle failed
> - fans were turning at a high speed
> - lots of warning messages as described bellow
>
> 5) Workaround
> I had to downgrade manually the driver to the old 8.960, which works
> without problem.
> You could do it using Synaptics our using the CLI
>
> I tried to do an "apt-get remove fglrx fglrx-amdcccle" but apt-get gaves
> me fglrx-updates in replacement , with the same issues. I experimented
> fglrx-update some months (a year?) ago with similar problems, but at that
> time it was a conscient experimentation.
> The 13.101-0ubuntu0.0.1 could maybe stay in fglrx-updates, and no fglrx ?
>
>
> ___________________________________________________________________________...

Read more...

Thanks to #13, my hero! I have the driver working again.
Pitty that support is completely dropped for HD series.
ATI lost my support as well. Going to NVidia for my next laptop.

I suffered from the fglrx SRU in 12.04 too. Being forced to fix the problem I tried the saucy enablement stack (https://wiki.ubuntu.com/Kernel/LTSEnablementStack). In order for radeon to work properly, fglrx has to be uninstalled. I had to blacklist the vesafb driver, otherwise I'd get a GPU lockup during boot.

WARNING: fglrx-8.x is incompatible with the saucy stack! In order to operate fglrx-8.x after experimenting with the saucy enablement stack, one has to downgrade back to the precise stack (kernel+X11+mesa).

I was positively surprised by the performance of the open source radeon driver in saucy. 3D unity performance is on par with the fglrx, while things which did not work before (e.g. DVI output on docking station) work now like a charm. I don't do gaming on the laptop, so I can't tell how well the open source radeon driver performs with 3D in general.

Sancho (christophe-andral) wrote :

Confirmed with:
# lspci | grep -i vga
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV730/M96 [Mobility Radeon HD 4650/5165]
# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise
#uname -a
Linux dell-studio-1747 3.2.0-60-generic #91-Ubuntu SMP Wed Feb 19 03:54:44 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

To solve the problem, we have to:
- download manually the proposed driver by amd official website on http://support.amd.com/fr-fr/download/
(in my case, the proposed driver is: amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run)
- extract and run:
    amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run --listpkg # and find <your_distrib_tag> in the list
    sudo amd-driver-installer-catalyst-13.1-legacy-linux-x86.x86_64.run --buildandinstallpkg <your_ditrib_tag>
- fix apt marks
    # Because this is the higher driver version we can expect for a 4xxx series
    sudo apt-mark hold fglrx
    sudo apt-mark hold fglrx-amdcccle

The proposed driver by amd is 8.970 and it works like a charm.

Timo Jyrinki (timo-jyrinki) wrote :

(a fixed version of the comment I posted earlier, one link was wrong)

I bumped into this problem on a friend's computer.

Another summary of how to go back, in Terminal app, to the old version where AMD had not yet dropped support for 2000/3000/4000 Radeons:

If you have 32-bit Ubuntu 12.04, copy-paste the following to Terminal:

wget https://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1/+build/3702678/+files/fglrx_8.960-0ubuntu1.1_i386.deb
wget https://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1/+build/3702678/+files/fglrx-amdcccle_8.960-0ubuntu1.1_i386.deb
dpkg -i fglrx*8.960*.deb
sudo apt-mark hold fglrx
sudo apt-mark hold fglrx-amdcccle

If you have 64-bit Ubuntu 12.04, copy-paste the following to Terminal

wget https://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1/+build/3702677/+files/fglrx_8.960-0ubuntu1.1_amd64.deb
wget https://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1/+build/3702677/+files/fglrx-amdcccle_8.960-0ubuntu1.1_amd64.deb
dpkg -i fglrx*8.960*.deb
sudo apt-mark hold fglrx
sudo apt-mark hold fglrx-amdcccle

After doing either of the above, depending on your Ubuntu installation being 32-bit or 64-bit, it should be back to the normal after a reboot.

There are some alternatives too - the open source drivers in the 12.04.4 LTS point release or the upcoming 14.04 LTS are mostly really good also for games nowadays for the older Radeons. fglrx should not be installed at all in those cases. But the easiest way is to revert back to the old but known to be functional ones.

Peter Schüller (schueller-p) wrote :

I have the same issue in Trusty 14.4 with RV570 Radeon X1950 PRO

Peter Schüller (schueller-p) wrote :

some specific errors in Xorg.0.log with Trusty with kernel 3.13.0-19:

ukiDynamicMajor: failed to open /proc/ati/major
(EE) no supported AMD display adaptors were found
(II) [KMS] drm report modesetting isn't supported
(EE) open /dev/dri/card0 No such file or directory

Anthony (anthonyryanirl) wrote :

Failing in Trusty 14.04 with Radeon 3000 (integrated onto mobo)

uname -rm
3.13.0-24-generic x86_64

 apt-cache policy xserver-xorg
xserver-xorg:
  Installed: 1:7.7+1ubuntu8
  Candidate: 1:7.7+1ubuntu8
  Version table:
 *** 1:7.7+1ubuntu8 0
        500 http://ie.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

$ fglrxinfo
display: :0 screen: 0
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RS780
OpenGL version string: 1.4 (3.0 Mesa 10.1.0)

However
sudo amdconfig --initial
amdconfig: No supported adapters detected

and
 sudo aticonfig --initial
aticonfig: No supported adapters detected

I had this installed on 12.04. Upgrade 12.04.4 broke it and I couldn't recover so I moved to 14.04 in the hope of resolution (no joy).

as per earlier readings I suspect an updated driver is breaking some older chipsets.

Changed in fglrx-installer (Baltix):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Mantas Kriaučiūnas (mantas)

As described from many users before, the first Catalyst driver available inside the Ubuntu restricted repository was this one [1]. This driver supports all Ati Radeon HD graphic cards (I don't know if it supports most recent HD 7xxx or 8xxx series, but this isn't the problem). Users were able to install fglrx driver for HD 2xxx, 3xxxx and 4xxx graphic cards without problems.

Since Point Releases [2] were released, new kernel and Xorg stacks were used. The old fglrx driver can't support new kernel and xorg, so upgrade the fglrx driver to a newer version is a *must*.
Canonical can't just push new HWE stacks without providing support for new graphic cards through fglrx drivers.

Due to this, updated fglrx drivers published inside the Ubuntu repos broke the systems with old HD 2xxx, 3xxx and 4xxx cards.
AMD dropped the Radeon HD 2xxx, 3xxxx and 4xxx support.

For Ati Radeon HD 2xxx, 3xxx and 4xx users, you have different solutions:

 - install Ubuntu 12.04.5 LTS or Ubuntu 14.04 LTS with new open source Radeon [3] drivers (pre-installed in Ubuntu), which have a better power management support, better heat control and general better stability and functionalities. Don't install fglrx drivers if you use these distributions.

 - install Ubuntu 12.04.1 LTS, install updates and don't install a new HWE stack. Then install fglrx 13.1 from AMD website [4]. This is the last fglrx version which supports Radeon HD 2xxx, 3xxx and 4xxx graphic cards and can be used only with the Ubuntu 12.04 original stack.

 - install Ubuntu 12.04.1 LTS and install old fglrx drivers inside the repository *fglrx=2:8.960-0ubuntu1*. Remember to not update this driver through system updates.

 - a combination of the solutions presented before (HWE stack downgrade and blablabla - non the best solution ever - )

Consider that recent open Radeon drivers works really better that 2 years ago, so try them.

= Related to this bug =

Ubuntu 12.04: consider to make available the fglrx 13.1 driver inside 12.04 repos, only installable on Ubuntu 12.04.1 original kernel and xorg stack. Alternatively, prevent the update from 8.960 version to actual 13.350 fglrx driver (or future versions) for HD 2xxx, 3xxx and 4xxx users.

Ubuntu 14.04: this bug can't be solved, AMD dropped support for these graphics cards and the old driver can't work with new kernels and xorg stacks. Use open Radeon driver and don't try to install fglrx drivers.

[1] http://packages.ubuntu.com/precise/fglrx
[2] https://wiki.ubuntu.com/Kernel/LTSEnablementStack
[3] https://help.ubuntu.com/community/RadeonDriver
[4] http://support.amd.com/it-it/download/desktop/legacy?product=Legacy2&os=Linux%20x86_64

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers